OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DateAssignment Class Reference

`#include <StepBasic_DateAssignment.hxx>`

Inheritance diagram for StepBasic_DateAssignment:

[legend]

## Public Member Functions
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Date)&aAssignedDate, const Handle(StepBasic_DateRole)&aRole)
Standard_EXPORT void | SetAssignedDate (const Handle(StepBasic_Date)&aAssignedDate)
Standard_EXPORT Handle_StepBasic_Date | AssignedDate () const
Standard_EXPORT void | SetRole (const Handle(StepBasic_DateRole)&aRole)
Standard_EXPORT Handle_StepBasic_DateRole | Role () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_Date | assignedDate
Handle_StepBasic_DateRole | role

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Date StepBasic_DateAssignment::AssignedDate | ( |  | ) | const

Standard_EXPORT const StepBasic_DateAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP214_AppliedDateAssignment, StepAP214_AutoDesignActualDateAssignment, and StepAP214_AutoDesignNominalDateAssignment.

virtual Standard_EXPORT void StepBasic_DateAssignment::Init | ( | const Handle(StepBasic_Date)& | aAssignedDate,
|  | const Handle(StepBasic_DateRole)& | aRole
| ) | `[virtual]`

| Reimplemented in StepAP214_AppliedDateAssignment, StepAP214_AutoDesignActualDateAssignment, and StepAP214_AutoDesignNominalDateAssignment.

Standard_EXPORT Handle_StepBasic_DateRole StepBasic_DateAssignment::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_DateAssignment::SetAssignedDate | ( | const Handle(StepBasic_Date)& | aAssignedDate | ) |

Standard_EXPORT void StepBasic_DateAssignment::SetRole | ( | const Handle(StepBasic_DateRole)& | aRole | ) |

## Field Documentation

Handle_StepBasic_Date StepBasic_DateAssignment::assignedDate`[private]`

Handle_StepBasic_DateRole StepBasic_DateAssignment::role`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DateAssignment.hxx